# Draw
TKDCAF
DrawDim

# DrawDim_Angle Class Reference

`#include <DrawDim_Angle.hxx>`

Inheritance diagram for DrawDim_Angle:

[legend]

## Public Member Functions

Standard_EXPORT | DrawDim_Angle (const TopoDS_Face &plane1, const TopoDS_Face &plane2)
Standard_EXPORT const TopoDS_Face & | Plane1 () const
Standard_EXPORT void | Plane1 (const TopoDS_Face &plane)
Standard_EXPORT const TopoDS_Face & | Plane2 () const
Standard_EXPORT void | Plane2 (const TopoDS_Face &plane)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Face | myPlane1
TopoDS_Face | myPlane2

## Constructor & Destructor Documentation

Standard_EXPORT DrawDim_Angle::DrawDim_Angle | ( | const TopoDS_Face & | plane1,
|  | const TopoDS_Face & | plane2
| ) |

## Member Function Documentation

Standard_EXPORT void DrawDim_Angle::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const DrawDim_Angle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawDim_Dimension.

Standard_EXPORT void DrawDim_Angle::Plane1 | ( | const TopoDS_Face & | plane | ) |

Standard_EXPORT const TopoDS_Face& DrawDim_Angle::Plane1 | ( |  | ) | const

Standard_EXPORT void DrawDim_Angle::Plane2 | ( | const TopoDS_Face & | plane | ) |

Standard_EXPORT const TopoDS_Face& DrawDim_Angle::Plane2 | ( |  | ) | const

## Field Documentation

TopoDS_Face DrawDim_Angle::myPlane1 `[private]`

TopoDS_Face DrawDim_Angle::myPlane2 `[private]`

The documentation for this class was generated from the following file:

- DrawDim_Angle.hxx